cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF Subversion and Git Services" <asf...@urd.zones.apache.org>
Subject Re: Review Request: (CLOUDSTACK-2303) fix upgrade failed from 2.2.14 to 4.1.0 for systemvm changes
Date Thu, 02 May 2013 17:31:23 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/10904/#review20087
-----------------------------------------------------------


Commit f8504c096054d638fb5ed1e21e55243653c4649a in branch refs/heads/ui-cisco-asa1000v-support
from Chip Childers <chipchilders@apache.org>
[ https://git-wip-us.apache.org/repos/asf?p=cloudstack.git;h=f8504c0 ]

CLOUDSTACK-2303: fix upgrade failed from 2.2.14 to 4.1.0 for systemvm changes

The version of systemvm of 3.* and 4.0.* is systemvm-kvm-3.0.0.(from
http://cloudstack.apache.org/docs/en-US/Apache_CloudStack/4.0.2/pdf/Release_Notes/Apache_CloudStack-4.0.2-Release_Notes-en-US.pdf)
However, on cloudstack 4.1.0, the systemvm version is 4.1.0. (from
http://dissociatedpress.net/uploads/Apache_CloudStack-4.1.0-Release_Notes-en-US.pdf)
so the upgrade processing from 2.2.14 to 4.1.0 will abort at
updateSystemVms in Upgrade2214to30.java.

Signed-off-by: Chip Childers <chipchilders@apache.org>


- ASF Subversion and Git Services


On May 2, 2013, 3:36 p.m., Wei Zhou wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/10904/
> -----------------------------------------------------------
> 
> (Updated May 2, 2013, 3:36 p.m.)
> 
> 
> Review request for cloudstack and Chip Childers.
> 
> 
> Description
> -------
> 
> The version of systemvm of 3.* and 4.0.* is systemvm-kvm-3.0.0.(from http://cloudstack.apache.org/docs/en-US/Apache_CloudStack/4.0.2/pdf/Release_Notes/Apache_CloudStack-4.0.2-Release_Notes-en-US.pdf)
> However, on cloudstack 4.1.0, the systemvm version is 4.1.0. (from http://dissociatedpress.net/uploads/Apache_CloudStack-4.1.0-Release_Notes-en-US.pdf)
> so the upgrade processing from 2.2.14 to 4.1.0 will abort at updateSystemVms in Upgrade2214to30.java.
> 
> 
> This addresses bug CLOUDSTACK-2303.
> 
> 
> Diffs
> -----
> 
>   server/src/com/cloud/upgrade/dao/Upgrade2214to30.java 8c4dbec 
> 
> Diff: https://reviews.apache.org/r/10904/diff/
> 
> 
> Testing
> -------
> 
> Testing manually ok.
> 
> 
> Thanks,
> 
> Wei Zhou
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message